Subject: RE: [X2Go-Dev] Bug#642: Bug#642: Changes in X2GoClient for Windows to enable it conform to Visual Studio's stricter type checking

From: "George Trakatelis" <[email-masked]>
Date: Thu, 30 Oct 2014 08:44:14 +0200

Hi Mikes,

I have just discovered an error in one of the previously provided patch files.
Windows sockets cleanup is handled in SshProcess::~SshProcess() (as it should be),
so I had to remove WSACleanup() from patched SshMasterConnection::finalize(int)
which caused a connection error if someone -after logging out- tried to login to the same server.

To avoid any ambiguity I re-attach the correct patch files.

George

PS. I wish a constructive gathering to all participants.

> -----Original Message-----
> From: Mike Gabriel [mailto:[email-masked]]
> Sent: Tuesday, October 28, 2014 7:49 PM
> To: George Trakatelis
> Cc: [email-masked]; 'Mike DePaulo'
> Subject: Re: [X2Go-Dev] Bug#642: Bug#642: Changes in X2GoClient for
> Windows to enable it conform to Visual Studio's stricter type checking
> 
> HI Mike#2
> 
> On  Di 28 Okt 2014 17:55:52 CET, George Trakatelis wrote:
> 
> > As this wishlist bug is actually resolved by applying the 3 patches,
> > my answer is 'Yes, you can close it, provided that at least one
> > volunteer confirms its validity'.
>    ^^^^^^^^^^^^^^^^^^^^^
> 
> @Mike#2: I fear, this is on you...
> 
> Mike#1
> 
> 
> --
> 
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
> 
> GnuPG Key ID 0x25771B31
> mail: [email-masked], http://das-netzwerkteam.de
> 
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-
> netzwerkteam.de.xfb